Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.amf.ide
Class ExecuteJavaEMFOutputHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.command.ExecuteJavaHandler
                          org.eclipse.amp.escape.command.ExecuteJavaHeadlessHandler
                              org.eclipse.amp.escape.amf.ide.ExecuteJavaEMFOutputHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class ExecuteJavaEMFOutputHandler

extends ExecuteJavaHeadlessHandler

The Class ExecuteParameterHandler.

Field Summary
`protected org.eclipse.core.resources.IResource` | `modelResource`

Constructor Summary
`ExecuteJavaEMFOutputHandler()`

Method Summary
`protected EclipseEscapeRunner` | `createRunner()` Creates the runner.

Methods inherited from class org.eclipse.amp.escape.command.ExecuteJavaHandler
`executeOpen, getType, handleSelect, isSupertype, isTypeSupertype`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelResource

    protected org.eclipse.core.resources.IResource modelResource

Constructor Detail

### ExecuteJavaEMFOutputHandler

    public ExecuteJavaEMFOutputHandler()

Method Detail

### createRunner

    protected EclipseEscapeRunner createRunner()

  Description copied from class: `ExecuteHandler`
  Creates the runner.

  Overrides:
    `createRunner` in class `ExecuteHandler`
  Returns:
  See Also:
    `ExecuteHandler.createRunner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD